<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2013 rel. 2 sp2 (x64) (http://www.altova.com) by Parichat (MIKI Solutions Limited) -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:include schemaLocation="bookingCommonTypes.xsd"/>
	<xs:element name="threeDSecurePayForBookingResponse">
		<xs:annotation>
			<xs:documentation>Request the latest status of bookings made on request</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="responseAuditInfo" type="responseAuditInfo"/>
				<xs:choice>
					<xs:element name="booking" type="payForBookingResponseType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>This element is present only when the payment is successful</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="threeDSecure" type="threeDSecureDetailType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>If this element is present, the payment is need to verify</xs:documentation>
						</xs:annotation>
					</xs:element>
				</xs:choice>
				<xs:element name="warnings" type="warnings" minOccurs="0">
					<xs:annotation>
						<xs:documentation>Indicates the collections of business level warning messages for requested products.</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="errors" type="errors" minOccurs="0">
					<xs:annotation>
						<xs:documentation>Collection of errors happen during the reservation of items.</xs:documentation>
					</xs:annotation>
				</xs:element>
			</xs:sequence>
			<xs:attribute name="versionNumber" type="xs:string" use="required" fixed="7.0">
				<xs:annotation>
					<xs:documentation>Indicates the version of the request that is being used. </xs:documentation>
				</xs:annotation>
			</xs:attribute>
		</xs:complexType>
	</xs:element>
</xs:schema>
